Loading...
Searching...
No Matches
dgroup.c File Reference

Functions for netCDF-4 features. More...

`#include "ncdispatch.h"`
Include dependency graph for dgroup.c:

Go to the source code of this file.

## Functions

int | nc_def_grp (int parent_ncid, const char *name, int *new_ncid)
| Define a new group.
int | nc_inq_dimids (int ncid, int *ndims, int *dimids, int include_parents)
| Retrieve a list of dimension ids associated with a group.
int | nc_inq_grp_full_ncid (int ncid, const char *full_name, int *grp_ncid)
| Get the full ncid given a group name.
int | nc_inq_grp_ncid (int ncid, const char *grp_name, int *grp_ncid)
| Get a group ncid given the group name.
int | nc_inq_grp_parent (int ncid, int *parent_ncid)
| Get the ID of the parent based on a group ID.
int | nc_inq_grpname (int ncid, char *name)
| Get the name of a group given an ID.
int | nc_inq_grpname_full (int ncid, size_t *lenp, char *full_name)
| Get the full path/groupname of a group/subgroup given an ID.
int | nc_inq_grpname_len (int ncid, size_t *lenp)
| Get the length of a group name given an ID.
int | nc_inq_grps (int ncid, int *numgrps, int *ncids)
| Get a list of groups or subgroups from a file or groupID.
int | nc_inq_ncid (int ncid, const char *name, int *grp_ncid)
| Return the group ID for a group given the name.
int | nc_inq_typeids (int ncid, int *ntypes, int *typeids)
| Retrieve a list of types associated with a group.
int | nc_inq_varids (int ncid, int *nvars, int *varids)
| Get a list of varids associated with a group given a group ID.
int | nc_rename_grp (int grpid, const char *name)
| Rename a group.
int | nc_show_metadata (int ncid)
| Print the metadata for a file.

## Detailed Description

Functions for netCDF-4 features.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file dgroup.c.